//公共数据,什么都可往里面传，可用于临时传参
import Taro from '@tarojs/taro'
import { 
    SET_COMMON,
    CLEAR_COMMON
} from '../constants/common'

export type DataParam = {
    common: any
}

type Action = {
  type?: string,
  data?: DataParam
}



const INIT = {
    common: Taro.getStorageSync('common')?JSON.parse(Taro.getStorageSync('common')):null,
}

export default function counter (state = INIT, action: Action) {
    const {type, data} = action
    switch (type) {
        case SET_COMMON:
            Taro.setStorageSync('common',JSON.stringify(data))
            return {...state,...data}
        case CLEAR_COMMON:
            Taro.removeStorageSync('common')
            return {...state, common: null}
        default:
            return state
    }
}